Jump to content
Limestone de cara nova! ×
Portal do Host

Erro update 7.0.2 to 7.1


TecSecret
 Share

Recommended Posts

Boa tarde,

Ao fazer o upgrade usando versão full do whmcs com php 7.0 o mesmo retorno este erro:

 

Unable to complete incremental updates: Unable to import the 7.1.0 Alpha1 database file. Unable to import /pasta_do_whmcs/resources/sql/upgrade710alpha1.sql: SQLSTATE[HY000]: General error: 2014 Cannot execute queries while other unbuffered queries are active. Consider using PDOStatement::fetchAll(). Alternatively, if your code is only ever going to run against mysql, you may enable query buffering by setting the PDO::MYSQL_ATTR_USE_BUFFERED_QUERY attribute.

 

Mas lembro que tudo está instalado conforme os pré-requisitos.

 

Alguém sabe como resolver?

Link to comment
Share on other sites


  • Replies 10
  • Created
  • Last Reply

Top Posters In This Topic

36 minutos atrás, TecSecret disse:

Boa tarde,

Ao fazer o upgrade usando versão full do WHMCS com php 7.0 o mesmo retorno este erro:

 

Unable to complete incremental updates: Unable to import the 7.1.0 Alpha1 database file. Unable to import /pasta_do_whmcs/resources/sql/upgrade710alpha1.sql: SQLSTATE[HY000]: General error: 2014 Cannot execute queries while other unbuffered queries are active. Consider using PDOStatement::fetchAll(). Alternatively, if your code is only ever going to run against mysql, you may enable query buffering by setting the PDO::MYSQL_ATTR_USE_BUFFERED_QUERY attribute.

 

Mas lembro que tudo está instalado conforme os pré-requisitos.

 

Alguém sabe como resolver?

Você utilizou a atualização automática ou fez manualmente (envio dos arquivos + execução manual install.php )?

Pelo erro descrito falha na execução de algumas consultas!

Link to comment
Share on other sites

  • 3 weeks later...
48 minutos atrás, TecSecret disse:

Fiz downgrade para a 6.3.1. A v7.x muito bugada. Nem o suporte da WHMCS soube me falar ou resolver o problema, então permaneci na 6.3.1.

Totalizei ontem cerca 35 instalações para v7 ( de diferente versões desde v5 ) e não tive problemas, acredito que exista algum problema em seu servidor MySQL.

Qual versão do seu MySQL?

Nas atualizações os clientes utilizavam os seguintes BD/Versão.

MySQL 5.5.40
MySQL 5.5.51
MariaDB 10.1.17

Link to comment
Share on other sites

Em 17/01/2017 em 09:56, edvan disse:

Totalizei ontem cerca 35 instalações para v7 ( de diferente versões desde v5 ) e não tive problemas, acredito que exista algum problema em seu servidor MySQL.

Qual versão do seu MySQL?

Nas atualizações os clientes utilizavam os seguintes BD/Versão.

MySQL 5.5.40
MySQL 5.5.51
MariaDB 10.1.17

Bom dia, testado em servidor 5.6 e 5.7 do mysql. Ambos retornam o mesmo erro. Haaa servidor de banco de dados é separado de servidor de hospedagem. Não usamos MariaDB.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

  • Recently Browsing   0 members

    No registered users viewing this page.



×
×
  • Create New...

Important Information